Bug 102067 - Firstboot is listed in redhat-config-services
Firstboot is listed in redhat-config-services
Product: Red Hat Linux Beta
Classification: Retired
Component: firstboot (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2003-08-10 08:31 EDT by Féliciano Matias
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-15 14:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Féliciano Matias 2003-08-10 08:31:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
firstboot appears in redhat-config-services.
But the execution of firstboot depend on /etc/sysconfig/firstboot. So actions
taken in redhat-config-services have no effect and firstboot is not a service...
Perhaps at the end of firstboot, we can do :
chkconfig --del firstboot.
Also, the execution of firstboot give some usefull informations :
# firstboot
Firstboot has already been run once on this system.
In order to run firstboot from the command line, run the following commands:
1) rm /etc/sysconfig/firstboot
2) /usr/sbin/firstboot
In order to run firstboot during system bootup, run the following commands:
1) rm /etc/sysconfig/firstboot
2) chkconfig --level 5 firstboot on
3) reboot

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
lauch redhat-config-services.

Actual Results:  firstboot is listed in redhat-config-services.

Expected Results:  No firstboot in redhat-config-services.

Additional info:
Comment 1 Brent Fox 2003-08-15 14:46:49 EDT
Should be fixed in firstboot-1.1.11-1.

Note You need to log in before you can comment on or make changes to this bug.